Bug 625927 - Zarafa sendmail config missing
Zarafa sendmail config missing
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: zarafa (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 16:11 EDT by Aidan Delaney
Modified: 2015-02-18 08:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:29:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zarafa Mailer for Sendmail (/usr/share/sendmail-cf/mailer/zarafa.m4) (623 bytes, application/x-m4)
2011-07-04 07:04 EDT, Oliver Falk
no flags Details

  None (edit)
Description Aidan Delaney 2010-08-20 16:11:38 EDT
Description of problem:
Sendmail is the /default/ MTA on Fedora.  It would make sense to have the required zarafa.m4 stuff in /usr/share/sendmail/... as per http://www.zarafa.com/faq/mta/mta

It wouldn't need to be enabled in the sendmail.mc, by default, but it would be much nicer if it worked more out-of-the-box
Comment 1 Oliver Falk 2011-03-31 17:51:13 EDT
+1
Comment 2 Bug Zapper 2011-06-01 06:59:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 10:19:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Oliver Falk 2011-07-04 02:52:15 EDT
Reopening for F15, since this is still an issue.
Comment 5 Oliver Falk 2011-07-04 02:53:50 EDT
Hi Robert!

If you like I can take over this bug and add the config... If you want me to do so...
Comment 6 Robert Scheck 2011-07-04 03:15:08 EDT
Important: So actually the main work is not just to add the *.m4 to the Zarafa
RPM package, but to write a new one, which uses the nowadays preferred Zarafa delivery method which is LMTP, and no more the older procmail-like variant.

At the moment, there are two major different ways to deliver e-mails into
Zarafa. One is via LMTP, the other one is procmail-like style. I could now
imagine MAILER('zarafa-lmtp') and MAILER('zarafa-dagent') as names. Maybe
even only MAILER('zarafa') rather MAILER('zarafa-lmtp'), because LMTP is
where everybody should go - in order to have single instance attachments.

I still have this on my task list, but lacking time. So if you are interested
and having more time, of course feel free to contribute. Just attach the *.m4 
proposals to this bug report.
Comment 7 Oliver Falk 2011-07-04 07:04:47 EDT
Created attachment 511169 [details]
Zarafa Mailer for Sendmail (/usr/share/sendmail-cf/mailer/zarafa.m4)

This will require 'MAILER(zarafa)' in sendmail.mc and something like this:

domain.tld	ZARAFA:dummy

in mailertable - where domain.tld is the domain for which you want to deliver mails to Zarafa...


Note: The current version of this sendmail mailer will deliver to 127.0.0.1 (aka localhost), Port 2003/tcp.
Comment 8 Oliver Falk 2011-07-11 04:20:16 EDT
Ping
Comment 9 Oliver Falk 2011-09-13 05:25:31 EDT
Ping2 :-)
Comment 10 Fedora End Of Life 2012-08-07 16:16:32 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-04-03 16:14:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 Michael Behrendt 2013-09-15 05:38:41 EDT
I'm successfully using local LTMP delivery by reusing the existing cyrus mailer definitions. Therefore this topic appears obsolete to me.

/etc/mail/sendmail.mc
define(`confLOCAL_MAILER', `cyrusv2')dnl
define(`CYRUSV2_MAILER_ARGS', `TCP localhost 2003')dnl
MAILER(cyrusv2)dnl

/etc/zarafa/dagent.cfg
##############################################################
# DAGENT LMTP SETTINGS
#  start dagent with -d to create an lmtp daemon of the zarafa-dagent

# binding address for LMTP daemon
# change to 0.0.0.0 if you require connections over the network
server_bind = 127.0.0.1

# LMTP port to listen on for LMTP connections
lmtp_port = 2003
Comment 13 Oliver Falk 2013-09-15 07:01:06 EDT
Sure, you can use the cyrus definitions, but if this is the final "solution", there should be some README.zarafa in some sendmail package, or some README.sendmail in one of the zarafa packages.

Anyway. Maybe we can rename the cyrusv2 mailer into a LMTP mailer?
Comment 14 Robert Scheck 2013-09-15 08:01:24 EDT
Renaming the cyrusv2 mailer is something that should happen in the sendmail
package. But I'm in doubt that this is going to happen downstream.
Comment 15 Robert Scheck 2013-09-15 08:10:53 EDT
Michael, are you by the way sendmail experienced enough to see if the mailers
that open-sendmail RPM package is additionally providing are adding more stuff
and thus more flexibility/features than the default cyrusv2 mailer?
Comment 16 Fedora End Of Life 2015-01-09 16:45:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-18 08:29:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.